Package ghidra.program.util

# Class InteriorSelection

java.lang.Object
ghidra.program.util.InteriorSelection

public class InteriorSelection extends Object
Specifies a selection that consists of components inside a structure.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InteriorSelection(ProgramLocation from, ProgramLocation to, Address start, Address end)`
  Construct a new interior selection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getByteLength()`
  Get the number of bytes contained in the selection.
  `Address`
  `getEndAddress()`
  Get the end address of this selection.
  `ProgramLocation`
  `getFrom()`
  Get the start location.
  `Address`
  `getStartAddress()`
  Get the start address of this selection.
  `ProgramLocation`
  `getTo()`
  Get the end location.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InteriorSelection

    public InteriorSelection(ProgramLocation from, ProgramLocation to, Address start, Address end)
    Construct a new interior selection.
    Parameters:
      `from` - start location
      `to` - end location
      `start` - start address
      `end` - end address

- ## Method Details

  - ### getFrom

    public ProgramLocation getFrom()
    Get the start location.
    Returns:
      ProgramLocation

  - ### getTo

    public ProgramLocation getTo()
    Get the end location.
    Returns:
      ProgramLocation

  - ### getStartAddress

    public Address getStartAddress()
    Get the start address of this selection.
    Returns:
      Address

  - ### getEndAddress

    public Address getEndAddress()
    Get the end address of this selection.
    Returns:
      Address

  - ### getByteLength

    public int getByteLength()
    Get the number of bytes contained in the selection.
    Returns:
      int

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`